### Method

# Snapd Client follow_logs_sync

since: 1.64

#### Declaration [src]

    gboolean
    snapd_client_follow_logs_sync (
      SnapdClient* client,
      GStrv names,
      SnapdLogCallback log_callback,
      gpointer log_callback_data,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Follow logs for snap services. This call will only complete if snapd closes the connection and will stop any other request on this client from being sent.

Available since: 1.64

#### Parameters

`names`

  Type: An array of `utf8`

  A null-terminated array of service names or `NULL`.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  Each element is a NUL terminated UTF-8 string.

`log_callback`

  Type: `SnapdLogCallback`

  A `SnapdLogCallback` to call when a log is received.

`log_callback_data`

  Type: `gpointer`

  The data to pass to `log_callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.